Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2175433002: Remove the unnecessary blockquote after indenting an empty blockquote (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
11 months, 1 week ago by joone
Modified:
11 months, 1 week ago
Reviewers:
yosin_UTC9
CC:
blink-reviews, chromium-reviews
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove the unnecessary blockquote after indenting an empty blockquote Here is a DOM state when we only add a blockquote. <div contenteditable><blockquote>|<br></blockquote></div> After indenting the blockquote, the change is as follows: <div contenteditable> <blockquote> <blockquote style="margin: 0 0 0 40px; border: none; padding: 0px;"> <blockquote>|<br></blockquote> </blockquote> </blockquote> </div> There is an unnecessary blockquote so the result should be as follows: <div contenteditable> <blockquote style="margin: 0 0 0 40px; border: none; padding: 0px;"> <blockquote>|<br></blockquote> </blockquote> </div> This CL removes the additional blockquote. BUG=625802 TEST=editing/execCommand/indent-empty-quote.html Committed: https://crrev.com/b844ddd6c6b82784257c183e50244eff895bce09 Cr-Commit-Position: refs/heads/master@{#407091}

Patch Set 1 #

Total comments: 6

Patch Set 2 : move the test case to indent folder #

Patch Set 3 : fix test fail #

Messages

Total messages: 24 (15 generated)
joone
Hi yosin@ could you take a look at this CL?
11 months, 1 week ago (2016-07-21 22:19:08 UTC) #4
yosin_UTC9
lgtm w/ small nits in test file. https://codereview.chromium.org/2175433002/diff/1/third_party/WebKit/LayoutTests/editing/execCommand/indent-empty-quote.html File third_party/WebKit/LayoutTests/editing/execCommand/indent-empty-quote.html (right): https://codereview.chromium.org/2175433002/diff/1/third_party/WebKit/LayoutTests/editing/execCommand/indent-empty-quote.html#newcode1 third_party/WebKit/LayoutTests/editing/execCommand/indent-empty-quote.html:1: <!doctype html> ...
11 months, 1 week ago (2016-07-22 01:21:55 UTC) #9
joone
Thanks for the review! https://codereview.chromium.org/2175433002/diff/1/third_party/WebKit/LayoutTests/editing/execCommand/indent-empty-quote.html File third_party/WebKit/LayoutTests/editing/execCommand/indent-empty-quote.html (right): https://codereview.chromium.org/2175433002/diff/1/third_party/WebKit/LayoutTests/editing/execCommand/indent-empty-quote.html#newcode1 third_party/WebKit/LayoutTests/editing/execCommand/indent-empty-quote.html:1: <!doctype html> On 2016/07/22 01:21:55, ...
11 months, 1 week ago (2016-07-22 03:29:54 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2175433002/20001
11 months, 1 week ago (2016-07-22 03:32:38 UTC) #13
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/260323)
11 months, 1 week ago (2016-07-22 04:50:37 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2175433002/20001
11 months, 1 week ago (2016-07-22 04:52:44 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2175433002/40001
11 months, 1 week ago (2016-07-22 05:52:23 UTC) #20
commit-bot: I haz the power
Committed patchset #3 (id:40001)
11 months, 1 week ago (2016-07-22 07:15:00 UTC) #22
commit-bot: I haz the power
11 months, 1 week ago (2016-07-22 07:16:59 UTC) #24
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/b844ddd6c6b82784257c183e50244eff895bce09
Cr-Commit-Position: refs/heads/master@{#407091}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 23e94e589